// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// eupper.cc
//
// Authors:  Richard Saxton (VEGA/ESA)
//           ESA XMM SOC
//
// Description: Task to calculate the optimum radius and centroid
//              for a point source extraction
//
/* General */
#include <iostream>

#include <Tracer.h>
#include <errstr.h>
#include <param.h>

#include "Eupper.h"
#include "eupper.h"

// ---------------------------------------------------

// Main function

// ---------------------------------------------------

void eupper()
{
  PROC;

  // Execute eupper
    Eupper * doit = new Eupper();

    delete doit; doit=0;

  ENDPROC;

}

